<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
only support these sensors
sensor_name ,  type,  description
 system_h   ,     0,  board high temperature area
 pa_0       ,     1,  major pa
 charger    ,     2,  charge ic
 usb        ,     3,  typeC usb
 cluster0   ,     4,  acpu little core
 cluster1   ,     5,  acpu middle/bigger core
 gpu        ,     6,  gpu core
 modem      ,     7,  modem(ccpu core)
 ddr        ,     8,  ddr
 battery    ,     9,  battery
 lcd        ,    10,  display screen
 tp         ,    11,  touch screen
 system_l   ,    12,  board low temperature area
 rfboard    ,    13,  mobile cool area
 wireless   ,    14,  wireless charge ic
 pa_1       ,    15,  minor pa
 dcxo_0     ,    16,  major crystal oscillator
 dcxo_1     ,    17,  minor crystal oscillator
 camera_0   ,    18,  back camera
 camera_1   ,    19,  front camera
 codec      ,    20,  codec
 charger1   ,    21,  charger1
 shell_frame,    22,  frame shell
 hisi_ambient,   23,  ambient v1.0
 hisi_ambient_v2,  24,  ambient v2.0+
 ir         ,    25,  ir
 dot        ,    26,  dot
 flash_led  ,    27,  flash led
 shell_front,    28,  front shell
 shell_back ,    29,  back shell
 usb_port   ,    30,  accurate usb
 supply_avg ,    31,  average value of battery supply
 supply_peak,    32,  peak value of battery supply
 bat_0      ,    33,  battery_0 of dual-battery
 bat_1      ,    34,  battery_1 of dual-battery
 pa_2       ,    35,  sub pa
 pa_3       ,    36,  sub pa
 pa_4       ,    37,  sub pa
 mmw_0      ,    38,  mmw major pa
 mmw_1      ,    39,  mmw minor pa
 shell_0    ,    40,  shell v3.0
 shell_1    ,    41,  shell v3.0
 shell_2    ,    42,  shell v3.0
 shell_3    ,    43,  shell v3.0
 shell_4    ,    44,  shell v3.0
 shell_5    ,    45,  shell v3.0
 cluster2   ,    46,  acpu big cpu core
 msm-therm-adc,  47,  ap zone on Qcom platform
 msm-therm  ,    48,  ap zone on Qcom platform
 chg-therm-adc,  49,  charge ic on Qcom platform
 pa-therm0  ,    50,  pa on Qcom platform
 pa_therm0  ,    51,  pa on Qcom platform
 mtktsAP    ,    52,  ap zone on mtk platform
 mtkts_chargerntc,  53,  charge ic on mtk platform
 mtktsbtsmdpa,   54,  4G pa on mtk platform
 mtkts_usbntc,   55,  usb on mtk platform
 mtktsbtsnrpa,   56,  5G pa on mtk plat
 0804 ambient parameters
-->
<thermal version="0.10" product="CET">

<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="0" enable="true" min_temp="-20" step="8" to_celsius="1000">
    <thresholds>130</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="2" enable="true" min_temp="0" step="10" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_cover" type="45" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="13" enable="true" min_temp="-30" step="60" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<ambient_calculate_coef>
    <debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>100</tau>
    <epsilon>1</epsilon>
    <interval>100</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>3939.0</para_init_a>
    <para_init_b>67.97</para_init_b>
    <para_ac_a>-10060.0</para_ac_a>
    <para_ac_b>-0.1851</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>16240.0</para_dc_a>
    <para_dc_b>-0.03544</para_dc_b>
    <para_dc_cur>2.764</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="rfboard" alpha="2.73" beta="0.687"/>
    <sensor1 type="usb_port" alpha="-1.45" beta="-0.0619"/>
    <sensor2 type="system_h" alpha="0.0542" beta="-0.26"/>
    <sensor3 type="charger" alpha="-0.324" beta="-0.0769"/>
    <sensor_mapping hisi_name="bat_cur" mapped_node="/sys/class/hw_thermal/temp/shell_iba/exp_node"/>
    <sensor_mapping hisi_name="bat_volt" mapped_node="/sys/class/hw_thermal/temp/shell_vba/exp_node"/>
    <sensor_mapping hisi_name="bat_stat" mapped_node="/sys/class/hw_thermal/temp/shell_stat/exp_node"/>
</ambient_calculate_coef>

<shell_calculate_coef boardid="default">
    <shell_count>7</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_front"> <!-- shell_front -->
        <bat_bias>3083</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-337</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="6228,-225,75,7622,-12,3168,9297"/>
        <sensor1 name="pa_0" type="ntc" coef="39231,-18402,7962,1716,7366,26864,-36755"/>
        <sensor2 name="charger" type="ntc" coef="-2310,3409,-7761,-2558,-1071,-17634,11744"/>
        <sensor3 name="rfboard" type="ntc" coef="158169,86893,35508,-12080,-39657,-73512,-105854"/>
        <sensor4 name="xo-therm" type="ntc" coef="-990,3535,8275,609,4415,-24853,31277"/>
        <sensor5 name="usb_port" type="ntc" coef="-5800,1001,-2920,-203,-699,-1221,-3368"/>
    </shell_coef0>
    <shell_coef1 name="shell_frame"> <!-- shell_frame -->
        <bat_bias>1594</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>113</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="16544,-4168,2009,8594,1515,2305,8181"/>
        <sensor1 name="ir" type="ntc" coef="2645,866,4290,1353,-542,5086,-96"/>
        <sensor2 name="charger" type="ntc" coef="810,3105,-3611,-1627,-5821,-3932,4001"/>
        <sensor3 name="rfboard" type="ntc" coef="83559,36155,24734,-26,-3459,-28528,-79515"/>
        <sensor4 name="xo-therm" type="ntc" coef="23327,-4363,3914,-10210,3204,-31577,43032"/>
        <sensor5 name="usb_port" type="ntc" coef="-2588,478,-379,-1027,-119,-639,-1762"/>
    </shell_coef1>
    <shell_coef2 name="shell_frame">  <!-- shell_back -->
        <bat_bias>3297</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>217</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="7905,1007,-1976,7938,1894,2228,8166"/>
        <sensor1 name="ir" type="ntc" coef="2008,1302,7550,216,487,3965,-8911"/>
        <sensor2 name="pa_0" type="ntc" coef="44887,-17630,12626,6766,8212,20896,-27290"/>
        <sensor3 name="charger" type="ntc" coef="-5624,12179,-15449,-7908,2596,-5633,-7930"/>
        <sensor4 name="rfboard" type="ntc" coef="135969,69385,16552,-20449,-48354,-64872,-65303"/>
        <sensor5 name="xo-therm" type="ntc" coef="-16072,-15188,12334,-7386,-1640,-10793,55742"/>
    </shell_coef2>
    <shell_coef3 name="shell_frame">  <!-- shell_front -->
        <bat_bias>3083</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-337</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="6228,-225,75,7622,-12,3168,9297"/>
        <sensor1 name="pa_0" type="ntc" coef="39231,-18402,7962,1716,7366,26864,-36755"/>
        <sensor2 name="charger" type="ntc" coef="-2310,3409,-7761,-2558,-1071,-17634,11744"/>
        <sensor3 name="rfboard" type="ntc" coef="158169,86893,35508,-12080,-39657,-73512,-105854"/>
        <sensor4 name="xo-therm" type="ntc" coef="-990,3535,8275,609,4415,-24853,31277"/>
        <sensor5 name="usb_port" type="ntc" coef="-5800,1001,-2920,-203,-699,-1221,-3368"/>
    </shell_coef3>
    <shell_coef4 name="shell_back">  <!-- shell_back -->
        <bat_bias>3297</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>217</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="7905,1007,-1976,7938,1894,2228,8166"/>
        <sensor1 name="ir" type="ntc" coef="2008,1302,7550,216,487,3965,-8911"/>
        <sensor2 name="pa_0" type="ntc" coef="44887,-17630,12626,6766,8212,20896,-27290"/>
        <sensor3 name="charger" type="ntc" coef="-5624,12179,-15449,-7908,2596,-5633,-7930"/>
        <sensor4 name="rfboard" type="ntc" coef="135969,69385,16552,-20449,-48354,-64872,-65303"/>
        <sensor5 name="xo-therm" type="ntc" coef="-16072,-15188,12334,-7386,-1640,-10793,55742"/>
    </shell_coef4>
    <shell_coef5 name="shell_back"> <!-- shell_front -->
        <bat_bias>3083</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>-337</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="6228,-225,75,7622,-12,3168,9297"/>
        <sensor1 name="pa_0" type="ntc" coef="39231,-18402,7962,1716,7366,26864,-36755"/>
        <sensor2 name="charger" type="ntc" coef="-2310,3409,-7761,-2558,-1071,-17634,11744"/>
        <sensor3 name="rfboard" type="ntc" coef="158169,86893,35508,-12080,-39657,-73512,-105854"/>
        <sensor4 name="xo-therm" type="ntc" coef="-990,3535,8275,609,4415,-24853,31277"/>
        <sensor5 name="usb_port" type="ntc" coef="-5800,1001,-2920,-203,-699,-1221,-3368"/>
    </shell_coef5>
    <shell_coef6 name="shell_back"> <!-- shell_frame -->
        <bat_bias>1594</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>113</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="system_h" type="ntc" coef="16544,-4168,2009,8594,1515,2305,8181"/>
        <sensor1 name="ir" type="ntc" coef="2645,866,4290,1353,-542,5086,-96"/>
        <sensor2 name="charger" type="ntc" coef="810,3105,-3611,-1627,-5821,-3932,4001"/>
        <sensor3 name="rfboard" type="ntc" coef="83559,36155,24734,-26,-3459,-28528,-79515"/>
        <sensor4 name="xo-therm" type="ntc" coef="23327,-4363,3914,-10210,3204,-31577,43032"/>
        <sensor5 name="usb_port" type="ntc" coef="-2588,478,-379,-1027,-119,-639,-1762"/>
    </shell_coef6>
</shell_calculate_coef>
</thermal>
